allTestFiles = []

# Normalize a path to RequireJS module name.
pathToModule = (path) ->
  path.replace(/^\/base\//, "").replace /\.js$/, ""

Object.keys(window.__karma__.files).forEach (file) ->
  console.log 'file', file
  if /Spec\.js$/.test(file)
    allTestFiles.push pathToModule(file)

require.config

  # Karma serves files under `/base`,
  # which is the `basePath` from your config file.
  baseUrl: "/base"

  # Dynamically require all test files.
  deps: allTestFiles

  # We have to kickoff testing framework,
  # after RequireJS is done with loading all the files.
  callback: ->
    window.__karma__.start()

  paths:
    'Test': 'test'
    'text': 'components/requirejs-text/text'
    'chai': 'components/chai/chai'
    'global': 'test/karma-global'
    'jquery': 'components/jquery/dist/jquery.min'
    'lodash': 'components/lodash/dist/lodash.min'

  shim:
    'global':
      deps: ['jquery', 'text']

  config:
    css:
      useXhr: (url, protocol, hostname, port) ->
        return true

    text:
      env: 'xhr'
      useXhr: (url, protocol, hostname, port) ->
        return true
